# EmployeeManagement_MEAN_stack_Angular-UI

- In UI show option for login and register (User can login or Register using this option.)
- In the signup form Include
                    User type (dropdown list:- Admin and User)
                    User name
                    Email (Include Email Validation)
                    Password (Include Validation)
- After user Loged in Show home page with all users table.
- Home page has two tab (Employees and Departments.)
- Using Employees Page user can create(add) new Employee using "+Create" Tab.
- User can create employee with their details (name, salary, position, department) / Department devided for catagory (HR management, QA, SE, Marketing).
- In the create page user can select their department using dropdown list.
- User can edit / delete their details.
- Include form validation.
- Departments show How many employees works in each departments.

- After login User can view their Profile page.
- In tthe profile view page shows user details others.



## Getting started

Please use `npm install` for download nodemodules.

## For Run project

Please use `ng serve` comand.

befor use you must run back end server.
Please visit 
https://gitlab.com/Masingha.999/employeemanagement_mean_stack/-/tree/main/serverSideNew


## Licence
Under Naveen Masingha-Copyright 2021

